/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

import java.util.Date;

/**
 * XbTaxonomyItemObjコンポーネントはDBに登録するXbTaxonomyItem情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbTaxonomyItemObj {

    /** タクソノミーアイテムID */
	private long taxonomyItemId;
    /** タクソノミーID */
	private long taxonomyId;
    /** タクソノミーグループID */
	private long taxonomyGroupId;
    /** id (element tag attrubute) */
	private String itemId;
    /** name (element tag attrubute) */
	private String itemName;
    /** type (element tag attrubute) */
	private String itemType;
    /** substitutiongroup (element tag attrubute) */
	private String itemSubstitutiongroup;
    /** 貸方(credit)/借方(Debit) */
	private String itemBalance;
    /** NULL値許可フラグ(0:false, 1:true) */
	private int itemNillable;
    /** 会計期間属性 */
	private String itemPeriodType;
    /** 属性 */
	private int abstractFlg;
	/** ドキュメント(参考資料) */
	private String documentation;
    /** 作成日 */
	private Date creationDate;

    /**
     * 属性を取得します。
     * @return abstractFlg
     */
    protected int getAbstractFlg() {
        return abstractFlg;
    }

    /**
     * 属性を設定します。
     * @param abstractFlg 属性
     */
    protected void setAbstractFlg(int abstractFlg) {
        this.abstractFlg = abstractFlg;
    }

    /**
     * 作成日を取得します。
     * @return creationDate
     */
    protected Date getCreationDate() {
        return creationDate;
    }

    /**
     * 作成日を設定します。
     * @param creationDate 作成日
     */
    protected void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    /**
     * ドキュメント(参考資料)を取得します。
     * @return documentation
     */
    protected String getDocumentation() {
        return documentation;
    }

    /**
     * ドキュメント(参考資料)を設定します。
     * @param documentation ドキュメント(参考資料)
     */
    protected void setDocumentation(String documentation) {
        this.documentation = documentation;
    }

    /**
     * 貸方(credit)/借方(Debit)を取得します。
     * @return itemBalance
     */
    protected String getItemBalance() {
        return itemBalance;
    }

    /**
     * 貸方(credit)/借方(Debit)を設定します。
     * @param itemBalance 貸方(credit)/借方(Debit)
     */
    protected void setItemBalance(String itemBalance) {
        this.itemBalance = itemBalance;
    }

    /**
     * id (element tag attrubute)を取得します。
     * @return itemId
     */
    protected String getItemId() {
        return itemId;
    }

    /**
     * id (element tag attrubute)を設定します。
     * @param itemId id (element tag attrubute)
     */
    protected void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * name (element tag attrubute)を取得します。
     * @return itemName
     */
    protected String getItemName() {
        return itemName;
    }

    /**
     * name (element tag attrubute)を設定します。
     * @param itemName name (element tag attrubute)
     */
    protected void setItemName(String itemName) {
        this.itemName = itemName;
    }

    /**
     * NULL値許可フラグ(0:false, 1:true)を取得します。
     * @return itemNillable
     */
    protected int getItemNillable() {
        return itemNillable;
    }

    /**
     * NULL値許可フラグ(0:false, 1:true)を設定します。
     * @param itemNillable NULL値許可フラグ(0:false, 1:true)
     */
    protected void setItemNillable(int itemNillable) {
        this.itemNillable = itemNillable;
    }

    /**
     * 会計期間属性を取得します。
     * @return itemPeriodType
     */
    protected String getItemPeriodType() {
        return itemPeriodType;
    }

    /**
     * 会計期間属性を設定します。
     * @param itemPeriodType 会計期間属性
     */
    protected void setItemPeriodType(String itemPeriodType) {
        this.itemPeriodType = itemPeriodType;
    }

    /**
     * substitutiongroup (element tag attrubute)を取得します。
     * @return itemSubstitutiongroup
     */
    protected String getItemSubstitutiongroup() {
        return itemSubstitutiongroup;
    }

    /**
     * substitutiongroup (element tag attrubute)を設定します。
     * @param itemSubstitutiongroup substitutiongroup (element tag attrubute)
     */
    protected void setItemSubstitutiongroup(String itemSubstitutiongroup) {
        this.itemSubstitutiongroup = itemSubstitutiongroup;
    }

    /**
     * type (element tag attrubute)を取得します。
     * @return itemType
     */
    protected String getItemType() {
        return itemType;
    }

    /**
     * type (element tag attrubute)を設定します。
     * @param itemType type (element tag attrubute)
     */
    protected void setItemType(String itemType) {
        this.itemType = itemType;
    }

    /**
     * タクソノミーグループIDを取得します。
     * @return taxonomyGroupId
     */
    protected long getTaxonomyGroupId() {
        return taxonomyGroupId;
    }

    /**
     * タクソノミーグループIDを設定します。
     * @param taxonomyGroupId タクソノミーグループID
     */
    protected void setTaxonomyGroupId(long taxonomyGroupId) {
        this.taxonomyGroupId = taxonomyGroupId;
    }

    /**
     * タクソノミーIDを取得します。
     * @return taxonomyId
     */
    protected long getTaxonomyId() {
        return taxonomyId;
    }

    /**
     * タクソノミーIDを設定します。
     * @param taxonomyId タクソノミーID
     */
    protected void setTaxonomyId(long taxonomyId) {
        this.taxonomyId = taxonomyId;
    }

    /**
     * タクソノミーアイテムIDを取得します。
     * @return taxonomyItemId
     */
    protected long getTaxonomyItemId() {
        return taxonomyItemId;
    }

    /**
     * タクソノミーアイテムIDを設定します。
     * @param taxonomyItemId タクソノミーアイテムID
     */
    protected void setTaxonomyItemId(long taxonomyItemId) {
        this.taxonomyItemId = taxonomyItemId;
    }
}